module BogApi
  module V1
    class Payment

      def self.find(order_id)
        BogApi.get("/orders/#{id}/payment.json", headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.create(order_id, payment_data)
        BogApi.post("/orders/#{id}/payment.json", body: payment_data.to_json, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

    end
  end
end
