module BogApi
  module V1
    class Sell

      def self.all(query = {})
        BogApi.get("/sells.json", query: query, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.find(id)
        BogApi.get("/sells/#{id}.json", headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

      def self.create(sell_data)
        BogApi.post("/sells.json", body: sell_data.to_json, headers: {"Token" => BogApi.configuration.token }).parsed_response
      end

    end
  end
end
